// MyCom.idl : IDL source for MyCom.dll
//

// This file will be processed by the MIDL tool to
// produce the type library (MyCom.tlb) and marshalling code.

import "oaidl.idl";
import "ocidl.idl";
	[
		object,
		uuid(A21A8C41-1266-11D4-A324-0040F6D487D9),
		dual,
		helpstring("IMyCom Interface"),
		pointer_default(unique)
	]
	interface IMyCom : IUnknown
	{
		[propget, helpstring("property Value")] HRESULT Value([out, retval] long *pVal);
		[propput, helpstring("property Value")] HRESULT Value([in] long newVal);
		[helpstring("method Raise")] HRESULT Raise(long Value);
	};


[
	uuid(A21A8C43-1266-11D4-A324-0040F6D487D9),
	version(1.0),
	helpstring("MyCom 1.0 Type Library")
]
library MyComLib
{
	importlib("stdole32.tlb");
	importlib("stdole2.tlb");

	[
		uuid(A21A8C42-1266-11D4-A324-0040F6D487D9),
		helpstring("MyCom Class")
	]
	coclass MyCom
	{
		[default] interface IMyCom;
	};
};
